Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List IAM Bindings

GET
/iam/v1/bindings
curl --request GET \
--url https://example.com/iam/v1/bindings

Returns a paginated list of IAM bindings

page_size
integer format: int32

The maximum number of bindings to return. The service may return fewer than this value. If unspecified, at most 20 bindings will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token, received from a previous ListIamBindings call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListIamBindings must match the call that provided the page token.

filter
string

AIP-160 filter expression, e.g. ‘principal_id = “uuid” AND scope_type = “WORKSPACE”’

order_by
string

AIP-132 order_by expression

OK

Media type application/json

ListIamBindingsResponse

Response message for ListIamBindings. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
iam_bindings

The list of IAM bindings

Array<object>

IamBinding resource — links a principal to a role within a scope, optionally constrained by a policy

object
id

The unique identifier of the binding

stringOutput only
principal_id
required

The ID of the principal (user) this binding applies to

string
principal_type
required

The type of principal

string format: enum
Allowed values: PRINCIPAL_TYPE_UNSPECIFIED PRINCIPAL_TYPE_USER PRINCIPAL_TYPE_SERVICE_ACCOUNT
role_id
required

The role granted by this binding

string
scope_type
required

The type of scope this binding applies to

string format: enum
Allowed values: SCOPE_TYPE_UNSPECIFIED SCOPE_TYPE_WORKSPACE SCOPE_TYPE_GROUP SCOPE_TYPE_ORGANISATION SCOPE_TYPE_PLATFORM
scope_id
required

The ID of the scoped resource (workspace, group, or organisation)

string
policy_id

Optional policy that constrains when this binding is effective

string
created

Created Timestamp

The timestamp when the binding was created

string format: date-time Output only
updated

Updated Timestamp

Timestamp when the IamBinding was last updated

string format: date-time Output only
next_page_token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example
{
"iam_bindings": [
{
"principal_type": "PRINCIPAL_TYPE_UNSPECIFIED",
"scope_type": "SCOPE_TYPE_UNSPECIFIED"
}
]
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}